complexType "Composite"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-option-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | determinationMethod?, relativeDate?, fxSpotRateSource?
</...>

Content Model Elements (3):

  determinationMethod (defined in Composite complexType), fxSpotRateSource (defined in Composite complexType), | relativeDate (defined in Composite complexType)

All Direct / Indirect Based Elements (2):

  composite, crossCurrency

Known Usage Locations

- As direct type of elements (2):
  composite, crossCurrency

Annotation
Specifies the conditions to be applied for converting into a reference currency when the actual currency rate is not determined upfront.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="Composite"> <xsd:sequence> <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"/> <xsd:element minOccurs="0" name="relativeDate" type="RelativeDateOffset"/> <xsd:element minOccurs="0" name="fxSpotRateSource" type="FxSpotRateSource"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
determinationMethod

  Type: | DeterminationMethod, simple content

  Specifies the method according to which an amount or a date is determined.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"/>

fxSpotRateSource

  Type: | FxSpotRateSource, complex content

  Specifies the methodology (reference source and, optionally, fixing time) to be used for determining a currency conversion rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fxSpotRateSource" type="FxSpotRateSource"/>

relativeDate

  Type: | RelativeDateOffset, complex content

  A date specified as some offset to another date (the anchor date).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relativeDate" type="RelativeDateOffset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.